Subject: Re: net-shapers plan

From: Jakub Kicinski <[email-masked]>
Date: Tue, 1 Apr 2025 07:50:45 -0700

On Tue, 1 Apr 2025 11:35:56 +0300 Carolina Jubran wrote:
> > As mentioned in Zagreb the part of HW reclassifying traffic does not
> > make sense to me. Is this a real user scenario you have or more of
> > an attempt to "maximize flexibility"?  
> 
> I don't believe there's a specific real-world scenario. It's really 
> about maximizing flexibility. Essentially, if a user sets things up in a 
> less-than-optimal way, the hardware can ensure that traffic is 
> classified and managed properly.

I see. If you could turn it off and leave it out, at least until clear
user appears that'd be great. Reclassifying packets on Tx slightly goes
against the netdev recommendation to limit any packet parsing and
interpretation on Tx.